%define		module_name             pentaval
%define		module_version          2.1.10
%define		module_stamp            021111
%define		module_source %{module_name}-RHx-%{module_version}_%{module_stamp}.tar.gz
%define		module_source_dir %{module_name}-%{module_version}
%define		base_arch %(echo %{_target_cpu} | sed 's/i.86/i386/;s/athlon/i386/')

Name:		kernel-source-%{module_name}
Version:	%{module_version}
Release:	alt1
Summary:	%{module_name} kernel module source code
Summary(ru_RU.KOI8-R):     %{module_name}
License:	GPL-2
Group:		Development/Kernel
ExclusiveOS:	Linux
BuildArch:	noarch
Packager:	Denis Ovsienko <pilot@altlinux.ru>
URL:		http://pentamedia.com/eng/customer/value.htm
BuildRequires:	rpm >= 4.0.2-75
Source0:	%{module_source}

%description
This package contains %{module_name} kernel module source code, required for automatic
module build during different flavours kernel builds in ALT Linux.

%description -l ru_RU.KOI8-R
       %{module_name}, 
          ALT Linux.

%prep
%setup -c -n %module_source_dir
%__mv %{module_name}-RHx-%{module_version} %module_source_dir

%build

%install
%__mkdir_p %buildroot%_usrsrc/kernel/sources/
%__mkdir tartmp
pushd tartmp
%__tar xzf %SOURCE0
%__mv %{module_name}-RHx-%{module_version} kernel-source-%module_source_dir
%__tar -c kernel-source-%module_source_dir | %__bzip2 -c > \
	%buildroot%_usrsrc/kernel/sources/kernel-source-%module_source_dir.tar.bz2
popd
%__rm -rf tartmp

%files
%_usrsrc/kernel/sources/kernel-source-%module_source_dir.tar.bz2

%changelog
* Sat Sep 17 2005 Denis Ovsienko <pilot@altlinux.ru> 2.1.10-alt1
- initial ALTLinux Sisyphus build
